Bug 1473973 - Add zsh autocompletion
Summary: Add zsh autocompletion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-22 21:42 UTC by rugk
Modified: 2017-11-28 19:38 UTC (History)
2 users (show)

Fixed In Version: borgbackup-1.1.2-1.fc27 borgbackup-1.1.2-1.fc26 borgbackup-1.1.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:30:35 UTC
Type: Bug


Attachments (Terms of Use)

Description rugk 2017-07-22 21:42:10 UTC
Description of problem: Add https://github.com/mrkmg/borgbackup-zsh-completion


Version-Release number of selected component (if applicable): 1.0.5 (still quite old, don't know if the syntax has changed much)

Comment 1 Jan Kurik 2017-08-15 06:25:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 rugk 2017-11-04 16:22:59 UTC
The bash, zsh and fish shell completions are now officially merged into the main borg repo. See https://github.com/borgbackup/borg/issues/2862#issuecomment-341908309.

So you may now include them in the package. :)

Comment 3 Fedora Update System 2017-11-11 14:53:34 UTC
borgbackup-1.1.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ff3ac2307

Comment 4 Fedora Update System 2017-11-11 16:01:03 UTC
borgbackup-1.1.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad3249c57b

Comment 5 Fedora Update System 2017-11-11 16:02:08 UTC
borgbackup-1.1.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce31d16da8

Comment 6 Fedora Update System 2017-11-14 04:08:39 UTC
borgbackup-1.1.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad3249c57b

Comment 7 Fedora Update System 2017-11-14 06:27:08 UTC
borgbackup-1.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce31d16da8

Comment 8 Fedora Update System 2017-11-14 10:56:35 UTC
borgbackup-1.1.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ff3ac2307

Comment 9 Fedora Update System 2017-11-21 23:30:35 UTC
borgbackup-1.1.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-22 02:28:17 UTC
borgbackup-1.1.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-28 19:38:00 UTC
borgbackup-1.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.